import request from '@/utils/request'

// 查询师傅金额明细列表
export function listWorkerMoneyLog(query) {
  return request({
    url: '/system/workerMoneyLog/list',
    method: 'get',
    params: query
  })
}

// 查询师傅金额明细详细
export function getWorkerMoneyLog(id) {
  return request({
    url: '/system/workerMoneyLog/' + id,
    method: 'get'
  })
}

// 新增师傅金额明细
export function addWorkerMoneyLog(data) {
  return request({
    url: '/system/workerMoneyLog',
    method: 'post',
    data: data
  })
}

// 修改师傅金额明细
export function updateWorkerMoneyLog(data) {
  return request({
    url: '/system/workerMoneyLog',
    method: 'put',
    data: data
  })
}

// 删除师傅金额明细
export function delWorkerMoneyLog(id) {
  return request({
    url: '/system/workerMoneyLog/' + id,
    method: 'delete'
  })
}
